/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Controller;

import Dao.ForceAccountClosureDao;
import DataEntryBean.ChequeDetailsBean;
import java.io.IOException;
import java.util.ArrayList;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 *
 * @author 1004242
 */
public class ForceAccountClosureServlet extends HttpServlet{
  @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        HttpSession session = request.getSession(false);
        String pacsId = (String) session.getAttribute("pacsId");
        String tellerId = (String)session.getAttribute("user");
        ForceAccountClosureDao aiDao = new ForceAccountClosureDao();
        String result = null;
      

        try{
            
           // String accNo = request.getParameter("accNo");
            result = aiDao.ForceAccountClosureServletProc(pacsId, accNo, tellerId);

            request.setAttribute("message1", result);
            request.getRequestDispatcher("/Deposit/ForceAccountClosure.jsp").forward(request, response);

        } catch (Exception e) {
           // e.printStackTrace();
           System.out.println("Error Occurred during processing.");
            request.setAttribute("message1", "Error occured. Please try again");
            request.getRequestDispatcher("/Deposit/ForceAccountClosure.jsp").forward(request, response);
        } finally {
            System.out.println("processing done.");
        }

    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */

    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
